<?php

namespace Sibs;

class SibsException extends \Exception
{
    public function __construct(string $details = '', int $status = 0, ?Throwable $previous = null)
    {
        parent::__construct($details, $status, $previous);

        SibsLog::error($this->getErrorMessage());
    }

    public function getErrorMessage()
    {
        return "SIBS Error: {$this->message}";
    }
}
